
.custom-form {
  flex-direction: column;
  display: flex;
  gap: 1rem;
  padding-top: 1.5rem;


  .form-footer{
    display: flex;
    gap: 1rem;
    justify-content: flex-end;
    padding: 1rem 1.5rem;
    margin-top: 1.5rem;
    border-top: 1px solid gray;


    button{
      background: transparent;
      padding: 0.5rem 1rem;
      border: 1px solid gray;
      border-radius: 0.5rem;
      color: gray;

      &:hover{
        border: 1px solid #1890ff;
        color: #1890ff;
        cursor: pointer;
      }
    }
    .submit{
      background-color: #1890ff;
      color: white !important;
    }
  }
}

label {
  display: flex;
  gap: 0.75rem;
  flex-direction: column;
  padding: 0 1.5rem;

  .label-text{
    display: flex;
    &::before{
    margin-right: 4px;
    color: #f5222d;
    font-size: 14px;
    line-height: 1;
    font-weight: 500;
    content: "*";
  }
}
}

input {
  width: 100%;
  padding: 12px 8px;
  box-sizing: border-box;
  outline: none;
  border: 1px solid gray;
  border-radius: 8px;
}

.error {
  color: red;
  font-size: 12px;
  margin-top: 4px;
  display: block;
}

.error-border{
    border: 2px solid red;
}